package org.wso2.carbon.device.mgt.ios.core.bean;

public class ChallengeTokenBean {

    private String challengeToken;
    private String deviceID;
    private String username;
    private String domain;
    private String refreshToken;
    private String client;
    private String accessToken;
    private boolean isAgentAvailable;

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getDeviceID() {
        return deviceID;
    }

    public void setDeviceID(String deviceID) {
        this.deviceID = deviceID;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getClient() {
        return client;
    }

    public void setClient(String client) {
        this.client = client;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getChallengeToken() {
        return challengeToken;
    }

    public void setChallengeToken(String challengeToken) {
        this.challengeToken = challengeToken;
    }

    public boolean isAgentAvailable() {
        return isAgentAvailable;
    }

    public void setAgentAvailable(boolean agentAvailable) {
        isAgentAvailable = agentAvailable;
    }
}
